- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 78e2daf5-f4dd-4f10-9d05-26ff9cd3fdea
    creation_time: 2023-02-17T12:06:54.440461Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/sendmail-close-angle.c
      input_file_hashes:
        c/loop-invgen/sendmail-close-angle.c: a34f84f1682998799d3358defe765a8ca266abd8dbf8aecc89d905d4a5875196
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/sendmail-close-angle.c
    file_hash: a34f84f1682998799d3358defe765a8ca266abd8dbf8aecc89d905d4a5875196
    line: 24
    column: 0
    function: __VERIFIER_assert
  loop_invariant:
    string: 0 <= buf && buf == in && in <= buflim && buflim == bufferlen-2 && bufferlen-2 < inlen
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: ecb90571-9625-4abd-a8b0-f3b4779ad4d7
    creation_time: 2023-02-17T12:06:54.440738Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/sendmail-close-angle.c
      input_file_hashes:
        c/loop-invgen/sendmail-close-angle.c: a34f84f1682998799d3358defe765a8ca266abd8dbf8aecc89d905d4a5875196
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/sendmail-close-angle.c
    file_hash: a34f84f1682998799d3358defe765a8ca266abd8dbf8aecc89d905d4a5875196
    line: 28
    column: 0
    function: __VERIFIER_assert
  location_invariant:
    string: 0 <= buf
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: d63d6b97-8e28-4768-96d7-e9e0bfbf2db4
    creation_time: 2023-02-17T12:06:54.440830Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/sendmail-close-angle.c
      input_file_hashes:
        c/loop-invgen/sendmail-close-angle.c: a34f84f1682998799d3358defe765a8ca266abd8dbf8aecc89d905d4a5875196
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/sendmail-close-angle.c
    file_hash: a34f84f1682998799d3358defe765a8ca266abd8dbf8aecc89d905d4a5875196
    line: 29
    column: 0
    function: __VERIFIER_assert
  location_invariant:
    string: buf < bufferlen
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 347c9cc6-55c9-41a0-b6b0-a7d8ba6063e0
    creation_time: 2023-02-17T12:06:54.440915Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/sendmail-close-angle.c
      input_file_hashes:
        c/loop-invgen/sendmail-close-angle.c: a34f84f1682998799d3358defe765a8ca266abd8dbf8aecc89d905d4a5875196
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/sendmail-close-angle.c
    file_hash: a34f84f1682998799d3358defe765a8ca266abd8dbf8aecc89d905d4a5875196
    line: 33
    column: 0
    function: __VERIFIER_assert
  location_invariant:
    string: 0 <= in
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 053c036b-a470-4104-9ce0-4f84dfb9a74a
    creation_time: 2023-02-17T12:06:54.440997Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/sendmail-close-angle.c
      input_file_hashes:
        c/loop-invgen/sendmail-close-angle.c: a34f84f1682998799d3358defe765a8ca266abd8dbf8aecc89d905d4a5875196
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/sendmail-close-angle.c
    file_hash: a34f84f1682998799d3358defe765a8ca266abd8dbf8aecc89d905d4a5875196
    line: 34
    column: 0
    function: __VERIFIER_assert
  location_invariant:
    string: in < inlen
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 0ba51d66-1a2e-47b4-ba23-77f6172b8e30
    creation_time: 2023-02-17T12:06:54.441079Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/sendmail-close-angle.c
      input_file_hashes:
        c/loop-invgen/sendmail-close-angle.c: a34f84f1682998799d3358defe765a8ca266abd8dbf8aecc89d905d4a5875196
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/sendmail-close-angle.c
    file_hash: a34f84f1682998799d3358defe765a8ca266abd8dbf8aecc89d905d4a5875196
    line: 37
    column: 0
    function: __VERIFIER_assert
  location_invariant:
    string: 0 <= buf
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: b9e8d20e-8bf4-489f-a65e-80aaef6a300d
    creation_time: 2023-02-17T12:06:54.441162Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/sendmail-close-angle.c
      input_file_hashes:
        c/loop-invgen/sendmail-close-angle.c: a34f84f1682998799d3358defe765a8ca266abd8dbf8aecc89d905d4a5875196
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/sendmail-close-angle.c
    file_hash: a34f84f1682998799d3358defe765a8ca266abd8dbf8aecc89d905d4a5875196
    line: 38
    column: 0
    function: __VERIFIER_assert
  location_invariant:
    string: buf < bufferlen
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 5f7d62fd-7f5d-4089-be56-93102086c23e
    creation_time: 2023-02-17T12:06:54.441265Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/sendmail-close-angle.c
      input_file_hashes:
        c/loop-invgen/sendmail-close-angle.c: a34f84f1682998799d3358defe765a8ca266abd8dbf8aecc89d905d4a5875196
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/sendmail-close-angle.c
    file_hash: a34f84f1682998799d3358defe765a8ca266abd8dbf8aecc89d905d4a5875196
    line: 42
    column: 0
    function: __VERIFIER_assert
  location_invariant:
    string: 0 <= buf
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 6a9a2a31-81fb-4935-9013-d9dd3e9eaeb0
    creation_time: 2023-02-17T12:06:54.441348Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/sendmail-close-angle.c
      input_file_hashes:
        c/loop-invgen/sendmail-close-angle.c: a34f84f1682998799d3358defe765a8ca266abd8dbf8aecc89d905d4a5875196
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/sendmail-close-angle.c
    file_hash: a34f84f1682998799d3358defe765a8ca266abd8dbf8aecc89d905d4a5875196
    line: 43
    column: 0
    function: __VERIFIER_assert
  location_invariant:
    string: buf < bufferlen
    type: assertion
    format: C

